Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/karma
diff options
context:
space:
mode:
authorroot <bryan@olenepal.org>2009-07-21 08:42:06 (GMT)
committer root <bryan@olenepal.org>2009-07-21 08:42:06 (GMT)
commit8b79701138df9f719f41e85886827bb52a1defca (patch)
tree5b01be9cd34ede59ac8039406d1633e861563eb9 /karma
parent1cbc0f272b98b44de4571e8f3f38c1b07779f9f3 (diff)
reorganized basic structure of the karma bundle
Diffstat (limited to 'karma')
-rwxr-xr-xkarma34
1 files changed, 34 insertions, 0 deletions
diff --git a/karma b/karma
new file mode 100755
index 0000000..1896b41
--- /dev/null
+++ b/karma
@@ -0,0 +1,34 @@
+#!/bin/bash
+# This script holds utilities for Karma lessons
+# MIT License
+# copyright 2009 Bryan W Berry
+
+NARWHAL=./bin/narwhal
+
+
+kgettext() {
+
+ if [ -z ./narwhal/bin ] ; then
+ echo "You need narwhal js interpreter in order to proceed"
+ exit 1
+ fi
+
+ $NARWHAL ./karma.js $@
+ exit 0
+}
+
+
+
+case "$1" in
+ "--gettext")
+ shift
+ kgettext $@
+ #kgettext
+ ;;
+ "--help")
+ echo "Usage: --gettext html_file.html target_file.po"
+ ;;
+ *)
+ echo "Usage: --gettext html_file.html target_file.po"
+ ;;
+esac \ No newline at end of file